button = class:new()

function button:init(opt)
	self.x = opt.x
	self.y = opt.y

	self.command = opt.command

	self.mode = opt.mode

	if opt.mode == "text" then
		self.text = opt.text
		self.font = opt.font

		self.width = opt.font:getWidth(opt.text)
		self.height = opt.font:getHeight()

		self.color[1] = opt.color1
		self.color[2] = opt.color2

		self.state = 1
	elseif opt.mode == "image" then
		self.image = opt.image
		self.quad = quadify(opt.image.getWidth(), opt.image.getHeight(), opt.image.getWidth(), opt.image.getHeight() / 2, 2)

		self.width = opt.image.getWidth()
		self.height = opt.image.getHeight()

		self.state = 1
	end
end

function button:update(dt)
	if clickyo(self.x, self.y, self.width, self.height) then
		self.state = 2
	else
		self.state = 1
	end
end

function button:draw()
	if self.mode == "text" then
		love.graphics.setFont(self.font)
		writedf(self.text, self.x, self.y, self.color[self.state])
	elseif self.mode == "image" then
		dirtydrawq(self.image, self.quad[self.state], self.x, self.y)
	end
end

function button:mousereleased(x, y, button)
	if clickyo(self.x, self.y, self.width, self.height) then
		self.command()
	end
end