function collision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end
function dirtydraw(image, x, y, r, sx, sy, ox, oy, kx, ky)
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(image, x, y, r, sx, sy, ox, oy, kx, ky)
end
function dirtydrawq(image, quad, x, y, r, sx, sy, ox, oy)
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(image, quad, x, y, r, sx, sy, ox, oy)
end
function clickyo(x, y, w, h) -- Sandbox
	return collision(love.mouse.getX(), love.mouse.getY(), 1, 1, x, y, w, h)
end
function string:split(delimiter)
	local result = {}
	local from  = 1
	local delim_from, delim_to = string.find( self, delimiter, from  )
	while delim_from do
		table.insert( result, string.sub( self, from , delim_from-1 ) )
		from = delim_to + 1
		delim_from, delim_to = string.find( self, delimiter, from  )
	end
	table.insert( result, string.sub( self, from  ) )
	return result
end
function tlength(T)
  local count = 0
  for _ in pairs(T) do count = count + 1 end
  return count
end
function writedf(text, x, y, color)
	love.graphics.setColor(color)
	love.graphics.print(text,x,y)
end


function quadify(w, h, qw, qh, fc)
	local fc = fc + 1
	local count = 1
	local i
	local j
	local hcount = h/qh-1
	local wcount = w/qw-1
	yoyo = {}
	for i = 0, hcount do
		for j = 0, wcount do
			if count ~= fc then
				yoyo[count] = love.graphics.newQuad(j*qw, i*qh, qw, qh, w, h)
				--print("love.graphics.newQuad("..j*qw..","..i*qh..","..qw..","..qh..","..w..","..h..")")
			end
			count = count + 1
		end
	end
	return yoyo
end

function removeitem(table, key)
	local i = 1
	local j = 1
	local newtable = {}
	if tlength(table) ~= 1 then
		for i = 1, tlength(table) do
			if i ~= key then
				newtable[j] = table[i]
				j = j + 1
			end
		end
	end
	return newtable
end
function additem(table, value)
	local i = 1
	local j = 1
	local newtable = {}

	if tlength(table) ~= 0 then
		for i = 1, tlength(table) do
			newtable[j] = table[i]
			j = j + 1
		end
	end

	newtable[j] = value
	return newtable
end

function reorderitem(table)
	local i = 1
	local j = 1
	local newtable = {}
	for i = 1, tlength(table) do
		newtable[j] = table[i]
		j = j + 1
	end
	return newtable
end
